
From: Jody McIntyre <scjody@steamballoon.com>

Fix cross_bound to not return 1 for zero-length regions.  Fixes regression
when sending null ISO packets.

Signed-off-by: Jody McIntyre <scjody@steamballoon.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ieee1394/ohci1394.h |    3 +++
 1 files changed, 3 insertions(+)

diff -puN drivers/ieee1394/ohci1394.h~ieee1394-fix-cross_bound-check-for-null-iso-packets drivers/ieee1394/ohci1394.h
--- 25/drivers/ieee1394/ohci1394.h~ieee1394-fix-cross_bound-check-for-null-iso-packets	2005-05-06 18:27:06.000000000 -0700
+++ 25-akpm/drivers/ieee1394/ohci1394.h	2005-05-06 18:27:06.000000000 -0700
@@ -236,6 +236,9 @@ struct ti_ohci {
 
 static inline int cross_bound(unsigned long addr, unsigned int size)
 {
+	if (size == 0)
+		return 0;
+
 	if (size > PAGE_SIZE)
 		return 1;
 
_
